using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 生产工单
    /// </summary>
    public class TB_PP_WPLAN
    {
        [DisplayName("ERP工单编码")]
        public string ERP_MO { get; set; } = string.Empty;
        [DisplayName("成品编码")]
        public string PROD_ID { get; set; } = string.Empty;
        [DisplayName("数量")]
        [Column(TypeName = "decimal(18,2)")]
        public decimal P_QTY { get; set; }
        [DisplayName("计划开始时间")]
        [DataType(DataType.Date)]
        public DateTime PB_DATE { get; set; }
        [DisplayName("计划结束时间")]
        [DataType(DataType.Date)]
        public DateTime PE_DATE { get; set; }
        [DisplayName("是否IMS工单")]
        public string IS_IMS_MO { get; set; } = "Y";
        [DisplayName("销售订单号")]
        public string SO_ID { get; set; } = string.Empty;
        [DisplayName("销售订单行号")]
        public string SO_SEQ { get; set; } = string.Empty;
        [DisplayName("客户编码")]
        public string CUST_ID { get; set; } = string.Empty;
        [DisplayName("是否外协工单")]
        public string IS_OUTS { get; set; } = string.Empty;
        [DisplayName("工单内码")]
        public int FInterID { get; set; }
        [DisplayName("产品档案号")]
        public string PROD_FILE_ID { get; set; } = string.Empty;
        [DisplayName("生产一部程序")]
        public string PARAMETER_1 { get; set; } = string.Empty;
        [DisplayName("生产二部程序")]
        public string PARAMETER_2 { get; set; } = string.Empty;
        [DisplayName("出厂参数")]
        public string PROC_ID { get; set; } = string.Empty;
        [DisplayName("车间编码")]
        public string DEPT_ID { get; set; } = string.Empty;
        [DisplayName("工单类型")]
        public int MO_TYPE { get; set; } = 1;       //1: 量产（常用默认类型） 2: PPAP 3: 客退 4: 返工 5: 试产 6: 小批量试产 7: 外协 

        [DisplayName("生产模式#")]
        public string IS_HALF { get; set; } = string.Empty;
    }
}
